NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Private Member Functions | Private Attributes | List of all members
NeuralEngine::LogToStringArray Class Reference
Inheritance diagram for NeuralEngine::LogToStringArray:
[legend]
Collaboration diagram for NeuralEngine::LogToStringArray:
[legend]

## Public Member Functions
| LogToStringArray (std::string const &name, int flags)
std::string const & | GetName () const
std::vector< std::string > const & | GetMessages () const
std::vector< std::string > & | GetMessages ()
Public Member Functions inherited from NeuralEngine::Listener
| Listener (int flags)
int | GetFlags () const
void | Assertion (std::string const &message)
void | Error (std::string const &message)
void | Warning (std::string const &message)
void | Information (std::string const &message)

## Private Member Functions
virtual void | Report (std::string const &message) override

## Private Attributes
std::string | mName
std::vector< std::string > | mMessages

## Additional Inherited Members
Public Types inherited from NeuralEngine::Listener
enum | { LISTEN_FOR_NOTHING = 0x00000000 , LISTEN_FOR_ASSERTION = 0x00000001 , LISTEN_FOR_ERROR = 0x00000002 , LISTEN_FOR_WARNING = 0x00000004 , LISTEN_FOR_INFORMATION = 0x00000008 , LISTEN_FOR_ALL = 0xFFFFFFFF }

## Detailed Description

Definition at line 19 of file NeLogToStringArray.h.

## Member Function Documentation

## ◆ Report()

virtual void NeuralEngine::LogToStringArray::Report | ( | std::string const & | message | ) |
| override private virtual

Implements NeuralEngine::Listener.

## Member Data Documentation

## ◆ mName

std::string NeuralEngine::LogToStringArray::mName
| private

Definition at line 31 of file NeLogToStringArray.h.

## ◆ mMessages

std::vector<std::string> NeuralEngine::LogToStringArray::mMessages
| private

Definition at line 32 of file NeLogToStringArray.h.

The documentation for this class was generated from the following file:

- NeLogToStringArray.h